[Solved]Migration to Plone5: zobdbverify with zero errors, but zodbupdate throw an error

i thought i was coming to the end with my migration from Plone 2.5 to Plone 5.2py3 . The zodbverify show me zero errors.

> ./py2/bin/zodbverify -f py2/var/filestorage/Data.fs
INFO:zodbverify:Scanning ZODB...
WARNING:Init:Class Products.CMFFormController.ControllerPythonScript.ControllerPythonScript has a security declaration for nonexistent method 'ZPythonScriptHTML_changePrefs'
WARNING:Init:Class Products.CMFFormController.ControllerValidator.ControllerValidator has a security declaration for nonexistent method 'ZPythonScriptHTML_changePrefs'
INFO:zodbverify:Done! Scanned 507971 records. 
Found 0 records that could not be loaded. 
Exceptions, how often they happened and which oids are affected:

but if i run zodbupdate

>./py3/bin/zodbupdate --convert-py3 --file=./py3/var/filestorage/Data.fs --encoding=utf8
Updating magic marker for ./py3/var/filestorage/Data.fs
Loaded 1 rename rules from OFS:renames
Loaded 13 decode rules from OFS:decodes
Loaded 2 decode rules from AccessControl:decodes
Loaded 3 decode rules from Products.PythonScripts:decodes
Loaded 1 decode rules from Products.ZopeVersionControl:decodes
An error occured
Traceback (most recent call last):
  File "/opt/mig-to-p5/py3/eggs/zodbupdate-1.4-py3.7.egg/zodbupdate/main.py", line 221, in main
    updater()
  File "/opt/mig-to-p5/py3/eggs/zodbupdate-1.4-py3.7.egg/zodbupdate/update.py", line 76, in __call__
    t = self.__new_transaction()
  File "/opt/mig-to-p5/py3/eggs/zodbupdate-1.4-py3.7.egg/zodbupdate/update.py", line 57, in __new_transaction
    self.storage.tpc_begin(t)
  File "/opt/mig-to-p5/py3/eggs/ZODB-5.6.0-py3.7.egg/ZODB/BaseStorage.py", line 193, in tpc_begin
    ext = transaction.extension_bytes
AttributeError: 'Transaction' object has no attribute 'extension_bytes'
Stopped processing, due to: 'Transaction' object has no attribute 'extension_bytes'
Traceback (most recent call last):
  File "/opt/mig-to-p5/py3/eggs/zodbupdate-1.4-py3.7.egg/zodbupdate/main.py", line 221, in main
    updater()
  File "/opt/mig-to-p5/py3/eggs/zodbupdate-1.4-py3.7.egg/zodbupdate/update.py", line 76, in __call__
    t = self.__new_transaction()
  File "/opt/mig-to-p5/py3/eggs/zodbupdate-1.4-py3.7.egg/zodbupdate/update.py", line 57, in __new_transaction
    self.storage.tpc_begin(t)
  File "/opt/mig-to-p5/py3/eggs/ZODB-5.6.0-py3.7.egg/ZODB/BaseStorage.py", line 193, in tpc_begin
    ext = transaction.extension_bytes
AttributeError: 'Transaction' object has no attribute 'extension_bytes'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./py3/bin/zodbupdate", line 252, in <module>
    sys.exit(zodbupdate.main.main())
  File "/opt/mig-to-p5/py3/eggs/zodbupdate-1.4-py3.7.egg/zodbupdate/main.py", line 225, in main
    raise AssertionError()
AssertionError

Does anyone have an idea or has seen this error?

Update:

I solved this temporary.

Update:

It' better to downgrade the ZODB Version

2 Likes

Plone Foundation Code of Conduct